package com.inspect.system.mapper;

import com.inspect.system.base.domain.SysOperateLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysOperateLogMapper {
    int insertOperateLog(SysOperateLog operateLog);

    List<SysOperateLog> selectOperateLogList(SysOperateLog operateLog);

    List<SysOperateLog> selectAuditOperLogList(SysOperateLog operateLog);

    int deleteOperateLogByIds(Long[] ids);

    SysOperateLog selectOperateLogById(Long id);

    void cleanOperateLog();
}
